# VirtueRed scan template
# Use with:
# curl -X POST "https://<your-base-url>/v1/scan/start" \
#   -H "X-API-Key: <your-virtuered-api-key>" \
#   -H "Content-Type: application/toml" \
#   --data-binary @virtuered-scan-template.toml

[model]
# Required: OpenAI-compatible model endpoint
base_url = "https://api.openai.com/v1"
# Required: target model API key
api_key = "<your-model-api-key>"
# Required: model identifier
model_name = "gpt-4o"

# Optional model settings
temperature = 0.7
max_tokens = 2048

# Optional additional provider headers
[model.extra_headers]
# setup = "lora-adapter"
# X-Request-Context = '{"service-name": "my-service"}'

[scan]
# Required: scan name
scan_name = "my-scan-name"

# Optional: include additional algorithms with default tests
algorithms = [
  "DarkCite",
  "Bijection Learning",
  "Crescendo Attack",
  "Flip Attack",
  "Language Game",
  "BoN Attack",
  "Humor Attack",
  "Emoji Attack"
]

# Optional scan settings
input_modalities = ["text"]
output_modalities = ["text"]
qpm = 60
concurrency = 16

# Datasets to evaluate
datasets = [
  {name = "Healthcare Risks"},
  {name = "Finance Risks"},
  {name = "Retail Policy Compliance"},
  {name = "IT/Tech Policy Compliance"},
  {name = "EU Artificial Intelligence Act"},
  {name = "AI Company Policies"},
  {name = "General Data Protection Regulation"},
  {name = "FINRA"},
  {name = "MITRE ATLAS"},
  {name = "NIST AI RMF"},
  {name = "OWASP LLM Top 10"},
  {name = "Bias"},
  {name = "Over Cautiousness"},
  {name = "Hallucination"},
  {name = "Societal Harmfulness"},
  {name = "Privacy"},
  {name = "Robustness"},
  {name = "Finance Brand Risk"},
  {name = "Education Brand Risk"},
  {name = "Health Care Brand Risk"}
]

